package com.ruoyi.zhdd.service;

import com.ruoyi.zhdd.domain.Resource;
import com.ruoyi.zhdd.domain.vo.ResourceVo;
import com.ruoyi.zhdd.domain.bo.ResourceBo;
import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 应急资源Service接口
 *
 * @author xintong
 * @date 2021-10-27
 */
public interface IResourceService extends IServicePlus<Resource, ResourceVo> {
	/**
	 * 查询单个
	 * @return
	 */
	ResourceVo queryById(String id);

	/**
	 * 查询列表
	 */
    TableDataInfo<ResourceVo> queryPageList(ResourceBo bo);

	/**
	 * 查询列表
	 */
	List<ResourceVo> queryList(ResourceBo bo);

	/**
	 * 根据新增业务对象插入应急资源
	 * @param bo 应急资源新增业务对象
	 * @return
	 */
	Boolean insertByBo(ResourceBo bo);

	/**
	 * 根据编辑业务对象修改应急资源
	 * @param bo 应急资源编辑业务对象
	 * @return
	 */
	Boolean updateByBo(ResourceBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    boolean insertResource(ResourceBo bo);

    boolean updateResource(ResourceBo bo);

}
